> This is a page from the ElevenLabs documentation. For a complete page index, fetch https://elevenlabs.io/docs/llms.txt. For the full documentation in a single file, fetch https://elevenlabs.io/docs/llms-full.txt.

# API-Schlüssel erstellen

POST https://api.elevenlabs.io/v1/service-accounts/{service_account_user_id}/api-keys
Content-Type: application/json

Erstellen Sie einen neuen API-Schlüssel für ein Dienstkonto.

Reference: https://elevenlabs.io/docs/api-reference/service-accounts/api-keys/create

## Servers

- `https://api.elevenlabs.io` (Production, default)
- `https://api.us.elevenlabs.io` (Production US)
- `https://api.eu.residency.elevenlabs.io` (Production EU)
- `https://api.in.residency.elevenlabs.io` (Production India)
- `https://api.sg.residency.elevenlabs.io` (Production Singapore)

## Request

### Path parameters

- `service_account_user_id` (string, required)

### Body (application/json)

This endpoint expects a Body_create_service_account_api_key_v1_service_accounts__service_account_user_id__api_keys_post.

- `name` (string, required)
- `permissions` (BodyCreateServiceAccountApiKeyV1ServiceAccountsServiceAccountUserIdApiKeysPostPermissions, required) — Die Berechtigungen der XI API.
- `character_limit` (integer, optional, nullable) — Das Zeichenlimit des XI-API-Schlüssels. Wenn angegeben, begrenzt dies die Nutzung dieses API-Schlüssels auf n Zeichen pro Monat, wobei n dem gewählten Wert entspricht. Kostenpflichtige Anfragen schlagen fehl, sobald dieses monatliche Limit erreicht ist.
- `allowed_ips` (list of string, optional, nullable) — Liste der IP-Adressen oder CIDR-Bereiche, die diesen API-Schlüssel verwenden dürfen. Jeder Eintrag kann ein CIDR-Bereich (z. B. '10.0.0.0/24') oder eine einzelne IP-Adresse sein (normalisiert auf /32 bzw. /128). Beim Erstellen weglassen oder null übergeben, um alle IPs zuzulassen. Beim Aktualisieren weglassen, um die Zulassungsliste unverändert zu lassen, oder "clear" übergeben, um sie zu entfernen.
- `third_party_disable_allowed` (boolean, optional, nullable) — Gibt an, ob der Inhaber dieses Schlüssels ihn über den Self-Disable-Endpunkt deaktivieren darf. Beim Erstellen auslassen oder null übergeben, um den Standardwert des Workspace zu verwenden (aktiviert für Nicht-Enterprise-Pläne, deaktiviert für Enterprise-Pläne). Beim Aktualisieren auslassen, um den Wert unverändert zu lassen, oder "clear" übergeben, um ihn auf den Workspace-Standard zurückzusetzen. Wird nur für Workspaces mit aktiviertem Self-Disable-Zugriff berücksichtigt.
- `tts_concurrency_limit` (integer, optional, nullable) — Maximale Anzahl gleichzeitiger Text-to-Speech-/Speech-to-Speech-Anfragen für diesen API-Schlüssel. Nur für Enterprise-Kunden verfügbar.
- `dubbing_concurrency_limit` (integer, optional, nullable) — Maximale Anzahl gleichzeitiger Synchronisationsanfragen für diesen API-Schlüssel. Nur für Enterprise-Kunden verfügbar.
- `music_concurrency_limit` (integer, optional, nullable) — Maximale Anzahl gleichzeitiger Musikgenerierungsanfragen für diesen API-Schlüssel. Nur für Enterprise-Kunden verfügbar.

## Response

### 200

Erfolgreiche Antwort

- `xi-api-key` (string, required)
- `key_id` (string, required)

## Errors

### 422 Unprocessable Entity Error

Validierungsfehler

- `detail` (list of ValidationError, optional)

## Types

### BodyCreateServiceAccountApiKeyV1ServiceAccountsServiceAccountUserIdApiKeysPostPermissions

Die Berechtigungen der XI API.

### ValidationError

- `loc` (list of ValidationErrorLocItems, required)
- `msg` (string, required)
- `type` (string, required)

### ValidationErrorLocItems

## Examples

**Request**

```json
{
  "name": "string",
  "permissions": [
    "text_to_speech"
  ]
}
```

**Response**

```json
{
  "xi-api-key": "string",
  "key_id": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys"

payload = {
    "name": "string",
    "permissions": ["text_to_speech"]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"name":"string","permissions":["text_to_speech"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys"

	payload := strings.NewReader("{\n  \"name\": \"string\",\n  \"permissions\": [\n    \"text_to_speech\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"string\",\n  \"permissions\": [\n    \"text_to_speech\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"string\",\n  \"permissions\": [\n    \"text_to_speech\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys', [
  'body' => '{
  "name": "string",
  "permissions": [
    "text_to_speech"
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"string\",\n  \"permissions\": [\n    \"text_to_speech\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "name": "string",
  "permissions": ["text_to_speech"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.elevenlabs.io/v1/service-accounts/service_account_user_id/api-keys")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```